Bug 149508 - Navigation tree expands unexpectedly
Navigation tree expands unexpectedly
Status: CLOSED DEFERRED
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: redhat-config-cluster (Show other bugs)
4
All Linux
low Severity low
: ---
: ---
Assigned To: Jim Parsons
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-23 13:00 EST by Paul Kennedy
Modified: 2015-04-19 20:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 11:55:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Kennedy 2005-02-23 13:00:15 EST
Description of problem:

Starting from a collapsed gross navigation tree, navigating to a
properties dialog box or a delete dialog box, opening and closing the
dialog box with "OK", "Yes", or "Close" cause the gross navigation
tree to fully expand. The circumstances under which that behavior
occurs is described in more detail in "Steps to Reproduce".


Version-Release number of selected component (if applicable):
system-config-cluster-0.9.5-1.0


Steps to Reproduce:
1. Collapse gross navigation tree by clicking triangle icon at
   "Cluster".
2. Click triangle icon at "Cluster" again to expand navigation tree,
   exposing the major elements: Cluster Nodes, Fence Devices, and
   Managed Resources.
3. Navigate to any of the following dialog boxes and close the box as
   indicated:

   Dialog Box                          Close Method 
   ----------------------------------------------------
   Node Properties                     Click OK
   Delete Node -> Warning              Click Yes
   Fence Device Configuration          Click OK
   Delete Fence Device -> Warning      Click Yes
   Failover Domain Configuration       Click Close
   Delete Failover Domain -> Warning   Click Yes

   For example, to demonstrate the action at the Node Properties
   dialog box, navigate as follows: Cluster Nodes -> Add Node
   Properties. At the Node Properties dialog box, enter node name at 
   the "Cluster Node Name" text box and click OK.
  
Actual results:
Gross navigation tree expands fully.

Expected results:
Gross navigation tree expected to remain as it was before closing
dialog box.

Additional info:
Comment 1 Jim Parsons 2005-03-01 12:41:02 EST
will fix
Comment 2 Jim Parsons 2005-03-28 06:17:55 EST
This was a complicated fix! Much more involved than immediately thought.
Fixed in 0.9.17-1.0
Comment 3 Corey Marthaler 2005-04-18 14:55:06 EDT
Partially fixed.

Now only the tree which was changed expands. So if you close the nodes section,
and then add a new node, that tree expands when it should stay the way it was.
The user can open it if they want.
Comment 4 Jim Parsons 2005-04-28 09:58:18 EDT
Actually, I did this purposefully so that the user would have immediate feedback
that the node they had added was present in the config. Leaving that section
closed would not provide any immediate evidence that the operation was
usccessful.   If, after reading this explanation, you still feel it should
remain closed, then please reset this bug to assigned again. :)
Comment 5 Corey Marthaler 2005-04-28 11:55:29 EDT
We still really think that if the user went to the trouble to close the tree
then it should stay that way. They could have left it open when creating the new
node or opened it afterwards if they want feed back. 

This late in the game I'll close it deferred and argue again for it in the uber
GUI. :)

Note You need to log in before you can comment on or make changes to this bug.